"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const ConfigurationBase_1 = tslib_1.__importDefault(require("../common/ConfigurationBase"));
const constants_1 = require("./utils/constants");
/**
 * Default configurations for default implementation of BlobServer.
 *
 * As default implementation of BlobServer class leverages LokiJS DB.
 * This configuration class also maintains configuration settings for LokiJS DB.
 *
 * When creating other server implementations, should also create a NEW
 * corresponding configuration class by extending ConfigurationBase.
 *
 * @export
 * @class Configuration
 */
class BlobConfiguration extends ConfigurationBase_1.default {
    constructor(host = constants_1.DEFAULT_SERVER_HOST_NAME, port = constants_1.DEFAULT_SERVER_LISTENING_PORT, dbPath = constants_1.DEFAULT_LOKI_DB_PATH, persistencePath = constants_1.DEFAULT_BLOB_PERSISTENCE_PATH, enableAccessLog = constants_1.DEFAULT_ENABLE_ACCESS_LOG, accessLogFilePath = constants_1.DEFAULT_ACCESS_LOG_PATH, enableDebugLog = constants_1.DEFAULT_ENABLE_DEBUG_LOG, debugLogFilePath = constants_1.DEFAULT_DEBUG_LOG_PATH) {
        super(host, port, enableAccessLog, accessLogFilePath, enableDebugLog, debugLogFilePath);
        this.dbPath = dbPath;
        this.persistencePath = persistencePath;
    }
}
exports.default = BlobConfiguration;
//# sourceMappingURL=BlobConfiguration.js.map