"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * BaseHandler class should maintain a singleton to persistency layer, such as maintain a database connection pool.
 * So every inherited classes instances can reuse the persistency layer connection.
 *
 * @export
 * @class SimpleHandler
 * @implements {IHandler}
 */
class BaseHandler {
    constructor(dataStore, logger) {
        this.dataStore = dataStore;
        this.logger = logger;
    }
}
exports.default = BaseHandler;
//# sourceMappingURL=BaseHandler.js.map