"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../generated/artifacts/models");
// https://docs.microsoft.com/en-us/azure/virtual-machines/windows/disks-types#premium-ssd
const GB = 1024 * 1024 * 1024;
const PageBlobAccessTierThreshold = new Map();
PageBlobAccessTierThreshold.set(models_1.AccessTier.P4, 32 * GB);
PageBlobAccessTierThreshold.set(models_1.PageBlobAccessTier.P4, 32 * GB);
PageBlobAccessTierThreshold.set(models_1.AccessTier.P6, 64 * GB);
PageBlobAccessTierThreshold.set(models_1.PageBlobAccessTier.P6, 64 * GB);
PageBlobAccessTierThreshold.set(models_1.AccessTier.P10, 128 * GB);
PageBlobAccessTierThreshold.set(models_1.PageBlobAccessTier.P10, 128 * GB);
PageBlobAccessTierThreshold.set(models_1.AccessTier.P15, 256 * GB);
PageBlobAccessTierThreshold.set(models_1.PageBlobAccessTier.P15, 256 * GB);
PageBlobAccessTierThreshold.set(models_1.AccessTier.P20, 512 * GB);
PageBlobAccessTierThreshold.set(models_1.PageBlobAccessTier.P20, 512 * GB);
PageBlobAccessTierThreshold.set(models_1.AccessTier.P30, 1024 * GB);
PageBlobAccessTierThreshold.set(models_1.PageBlobAccessTier.P30, 1024 * GB);
PageBlobAccessTierThreshold.set(models_1.AccessTier.P40, 2048 * GB);
PageBlobAccessTierThreshold.set(models_1.PageBlobAccessTier.P40, 2048 * GB);
PageBlobAccessTierThreshold.set(models_1.AccessTier.P50, 4095 * GB);
PageBlobAccessTierThreshold.set(models_1.PageBlobAccessTier.P50, 4095 * GB);
PageBlobAccessTierThreshold.set(models_1.AccessTier.P60, 8192 * GB);
PageBlobAccessTierThreshold.set(models_1.PageBlobAccessTier.P60, 8192 * GB);
PageBlobAccessTierThreshold.set(models_1.AccessTier.P70, 16384 * GB);
PageBlobAccessTierThreshold.set(models_1.PageBlobAccessTier.P70, 16384 * GB);
PageBlobAccessTierThreshold.set(models_1.AccessTier.P80, 32767 * GB);
PageBlobAccessTierThreshold.set(models_1.PageBlobAccessTier.P80, 32767 * GB);
exports.default = PageBlobAccessTierThreshold;
//# sourceMappingURL=PageBlobAccessTierThreshold.js.map