"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../blob/utils/constants");
var Status;
(function (Status) {
    Status[Status["Initializing"] = 0] = "Initializing";
    Status[Status["Initialized"] = 1] = "Initialized";
    Status[Status["Closing"] = 2] = "Closing";
    Status[Status["Closed"] = 3] = "Closed";
})(Status || (Status = {}));
class AccountDataStore {
    constructor() {
        this.status = Status.Closed;
    }
    getAccount(name) {
        if (name === constants_1.EMULATOR_ACCOUNT_NAME) {
            return {
                name: constants_1.EMULATOR_ACCOUNT_NAME,
                key1: constants_1.EMULATOR_ACCOUNT_KEY
            };
        }
        else {
            return undefined;
        }
    }
    async init() {
        this.status = Status.Initialized;
    }
    isInitialized() {
        return this.status === Status.Initialized;
    }
    async close() {
        this.status = Status.Closed;
    }
    isClosed() {
        return this.status === Status.Closed;
    }
}
exports.default = AccountDataStore;
//# sourceMappingURL=AccountDataStore.js.map