import ConfigurationBase from "../common/ConfigurationBase";
/**
 * Default configurations for default implementation of BlobServer.
 *
 * As default implementation of BlobServer class leverages LokiJS DB.
 * This configuration class also maintains configuration settings for LokiJS DB.
 *
 * When creating other server implementations, should also create a NEW
 * corresponding configuration class by extending ConfigurationBase.
 *
 * @export
 * @class Configuration
 */
export default class BlobConfiguration extends ConfigurationBase {
    readonly dbPath: string;
    readonly persistencePath: string;
    constructor(host?: string, port?: number, dbPath?: string, persistencePath?: string, enableAccessLog?: boolean, accessLogFilePath?: string, enableDebugLog?: boolean, debugLogFilePath?: string);
}
//# sourceMappingURL=BlobConfiguration.d.ts.map