import IAccountDataStore from "../common/IAccountDataStore";
import IRequestListenerFactory from "../common/IRequestListenerFactory";
import { RequestListener } from "../common/ServerBase";
import { IBlobDataStore } from "./persistence/IBlobDataStore";
/**
 * Default RequestListenerFactory based on express framework.
 *
 * When creating other server implementations, such as based on Koa. Should also create a NEW
 * corresponding BlobKoaRequestListenerFactory class by extending IRequestListenerFactory.
 *
 * @export
 * @class BlobRequestListenerFactory
 * @implements {IRequestListenerFactory}
 */
export default class BlobRequestListenerFactory implements IRequestListenerFactory {
    private readonly dataStore;
    private readonly accountDataStore;
    private readonly enableAccessLog;
    constructor(dataStore: IBlobDataStore, accountDataStore: IAccountDataStore, enableAccessLog: boolean);
    createRequestListener(): RequestListener;
}
//# sourceMappingURL=BlobRequestListenerFactory.d.ts.map