import IAccountDataStore from "../../common/IAccountDataStore";
import ILogger from "../../common/ILogger";
import Context from "../generated/Context";
import IRequest from "../generated/IRequest";
import IBlobDataStore from "../persistence/IBlobDataStore";
import IAuthenticator from "./IAuthenticator";
export default class BlobSASAuthenticator implements IAuthenticator {
    private readonly accountDataStore;
    private readonly blobDataStore;
    private readonly logger;
    constructor(accountDataStore: IAccountDataStore, blobDataStore: IBlobDataStore, logger: ILogger);
    validate(req: IRequest, context: Context): Promise<boolean | undefined>;
    private getBlobSASSignatureValuesFromRequest;
    private validateTime;
    private validateIPRange;
    private validateProtocol;
    private decodeIfExist;
    private getContainerAccessPolicyByIdentifier;
    private blobExist;
}
//# sourceMappingURL=BlobSASAuthenticator.d.ts.map