import StorageError from "./StorageError";
/**
 * A factory class maintains all Azure Storage Blob service errors.
 *
 * @export
 * @class StorageErrorFactory
 */
export default class StorageErrorFactory {
    static getContainerNotFound(contextID: string): StorageError;
    static getContainerAlreadyExists(contextID: string): StorageError;
    static getBlobNotFound(contextID: string): StorageError;
    static getInvalidQueryParameterValue(contextID: string): StorageError;
    static getInvalidOperation(contextID: string, message?: string): StorageError;
    static getInvalidPageRange(contextID: string): StorageError;
    static getInvalidLeaseDuration(contextID: string): StorageError;
    static getInvalidLeaseBreakPeriod(contextID: string): StorageError;
    static getInvalidId(contextID: string): StorageError;
    static getLeaseAlreadyPresent(contextID: string): StorageError;
    static getContainerLeaseNotPresentWithLeaseOperation(contextID: string): StorageError;
    static getContainerLeaseIdMismatchWithLeaseOperation(contextID: string): StorageError;
    static getLeaseIsBrokenAndCannotBeRenewed(contextID: string): StorageError;
    static getLeaseIsBreakingAndCannotBeChanged(contextID: string): StorageError;
    static getContainerLeaseIdMissing(contextID: string): StorageError;
    static getContainerLeaseIdMismatchWithContainerOperation(contextID: string): StorageError;
    static getContainerLeaseLost(contextID: string): StorageError;
    static getBlobLeaseIdMismatchWithLeaseOperation(contextID: string): StorageError;
    static getBlobLeaseNotPresentWithLeaseOperation(contextID: string): StorageError;
    static getBlobSnapshotsPresent(contextID: string): StorageError;
    static getBlobLeaseIdMissing(contextID: string): StorageError;
    static getBlobLeaseIdMismatchWithBlobOperation(contextID: string): StorageError;
    static getBlobLeaseLost(contextID: string): StorageError;
    static getAuthorizationFailure(contextID: string): StorageError;
    static getBlobInvalidBlobType(contextID: string): StorageError;
    static getBlobSnapshotsPresent_hassnapshot(contextID: string): StorageError;
    static getBlobCannotChangeToLowerTier(contextID: string): StorageError;
    static getBlobBlobTierInadequateForContentLength(contextID: string): StorageError;
    static getAuthorizationSourceIPMismatch(contextID: string): StorageError;
    static getAuthorizationProtocolMismatch(contextID: string): StorageError;
    static getAuthorizationPermissionMismatch(contextID: string): StorageError;
    static getAuthorizationServiceMismatch(contextID: string): StorageError;
    static getAuthorizationResourceTypeMismatch(contextID: string): StorageError;
    static getFeatureVersionMismatch(contextID: string): StorageError;
    static getCopyIdMismatch(contextID: string): StorageError;
    static getNoPendingCopyOperation(contextID: string): StorageError;
    static getSnapshotsPresent(contextID: string): StorageError;
}
//# sourceMappingURL=StorageErrorFactory.d.ts.map